Buying a used camera pitfall -- Firmware versions NOT "supported" - General Help and Assistance on using CHDK stable releases - CHDK Forum

Buying a used camera pitfall -- Firmware versions NOT "supported"

  • 2 Replies
  • 1442 Views
Advertisements
The FAQ page lists the Canon firmware versions that CHDK is available for,
but it doesn't list the versions CHDK isn't available for. For instance I'm
interested in buying an A540 or an A570. For the A540, the FAQ page says
CHDK works with 1.00b. Searching the wiki I find that 1.00a is mostly
supported; that's not too bad, but if Canon firmware versions 1.00c and
1.00d exist for the A540 and don't work at all with CHDK, then my probability of
finding a camera that works with CHDK had dropped considerably.

Are the Canon firmware versions listed on the FAQ the most likely to be
on the camera? For the A570 the FAQ page says CHDK works with 1.00e
and 1.01a, but does that mean there are 4 (a,b,c,d) or more different
firmware versions that won't work with CHDK?

I could ask the sellers to check the firmware version for me, but I think
that would be a real pain and not very effective. Am I making this too
difficult? Perhaps I'm misunderstanding something. Please, someone
clear this up for me.

Thanks


*

Offline zeno

  • *****
  • 884
Re: Buying a used camera pitfall -- Firmware versions NOT "supported"
« Reply #1 on: 24 / February / 2010, 12:37:37 »
The problem is that nobody but Canon knows for certain which firmware versions exist for a given camera. However, for cameras which have been out for some time (like the A570), it's exceedingly unlikely that there's a version which has not got a CHDK port. And if one did suddenly turn up at this late stage, it would not be very difficult to port CHDK to it (as soon as the owner of such a camera did a firmware dump).

For new cameras, where CHDK porting has only just been done (e.g. the G11) it's more likely that there are as yet undiscovered versions (e.g. for sale only in Japan).   
A570, S100, Ixus 127
Author of ASSIST, STICK, WASP, ACID, SDMInst, LICKS, WICKS, MacBoot, UBDB, CFGEdit

Re: Buying a used camera pitfall -- Firmware versions NOT "supported"
« Reply #2 on: 24 / February / 2010, 16:26:31 »
Thank you. That answers my questions and puts my worries to rest.

 

Related Topics